import bpy

from .. import Utility_Functions
# Camera to View


class VIEWFINDER_MT_Viewfinder_Icon_Menu(bpy.types.Menu):
    bl_label = "Viewfinder Icon Menu"
    bl_idname = "VIEWFINDER_MT_viewfinder_icon_menu"

    def draw(self, context):
        layout = self.layout
        layout.operator_context = "INVOKE_DEFAULT"

        self.draw_icon_expose(context, layout)

    def draw_icon_expose(self, context, layout):
        preferences = Utility_Functions.get_addon_preferences()

        layout.prop(preferences, "ICON_Camera_List_Reorder", text="Reorder")
        layout.prop(preferences, "ICON_Camera_List_Pin", text="Pin")
        layout.prop(preferences, "ICON_Camera_List_Priority", text="Priority")
        layout.prop(preferences, "ICON_Camera_List_Select_Camera", text="Select Camera")

        layout.prop(preferences, "ICON_Camera_List_Select_Target", text="Select Target")

        layout.prop(preferences, "ICON_Camera_List_View_Camera", text="View Camera")
        layout.prop(preferences, "ICON_Camera_List_Set_Marker", text="Set Marker")
        # layout.prop(preferences, "ICON_Camera_List_Resolution", text="Resolution")

        layout.prop(preferences, "ICON_Camera_List_Find_Camera", text="Find Camera")
        layout.prop(
            preferences,
            "ICON_Camera_List_Duplicate_Camera",
            text="Duplicate Camera",
        )
        layout.prop(preferences, "ICON_Camera_List_Tags", text="Tags")
        layout.prop(preferences, "ICON_Camera_List_Remove_Camera", text="Remove Camera")


classes = [VIEWFINDER_MT_Viewfinder_Icon_Menu]


def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)


if __name__ == "__main__":
    register()
