import bpy
from bpy.ops import camera
from ... import Utility_Functions
import os


def priority(item):
    return item.Viewfinder_Object_Properties.priority


def swapPositions(list, pos1, pos2):
    # if pos1 < 0 and pos1 <= len(list):
    #     return list
    #
    if len(list) > pos1 and len(list) > pos2 and not pos1 < 0:
        item1 = list[pos1]
        item2 = list[pos2]

        list[pos2] = item1
        list[pos1] = item2

    # get = list[pos1], list[pos2]
    # list[pos2], list[pos1] = get

    return list


class VIEWFINDER_OT_Reorder_Camera(bpy.types.Operator):
    """Reorder Cameras, Works properly with All Camera Filter, Might work unexpectedly in other filter"""

    bl_idname = "viewfinder.reorder_cameras"
    bl_label = "Reorder Cameras"
    bl_options = {"UNDO", "REGISTER"}

    direction: bpy.props.StringProperty()
    object: bpy.props.StringProperty()

    def execute(self, context):
        object = bpy.data.objects.get(self.object)

        if object:
            cameras = [cam for cam in bpy.data.objects if cam.type == "CAMERA"]

            if object in cameras:
                cameras.sort(key=priority)
                cam_index = cameras.index(object)

                move_dir = 1

                if self.direction == "UP":
                    cameras = swapPositions(cameras, cam_index + move_dir, cam_index)

                if self.direction == "DOWN":
                    cameras = swapPositions(cameras, cam_index - move_dir, cam_index)

                for i, cam in enumerate(cameras):
                    cam.Viewfinder_Object_Properties.priority = i

        Utility_Functions.update_UI()
        return {"FINISHED"}


classes = [VIEWFINDER_OT_Reorder_Camera]


def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)


if __name__ == "__main__":
    register()
