import bpy
from ... import Utility_Functions
import os


class VIEWFINDER_Toggle_All_Subpanel(bpy.types.Operator):
    """Toggle All Sub Panel"""

    bl_idname = "viewfinder.toggle_all_subpanel"
    bl_label = "Toggle All Subpanel"
    bl_options = {"UNDO", "REGISTER"}

    def execute(self, context):
        scn = context.scene

        objects = [
            object for object in context.view_layer.objects if object.type == "CAMERA"
        ]

        state = not any(
            [
                object.Viewfinder_Object_Properties.SHOW_Camera_Data_Options
                for object in objects
            ]
        )

        for object in objects:
            object.Viewfinder_Object_Properties.SHOW_Camera_Data_Options = state

        Utility_Functions.update_UI()
        return {"FINISHED"}


classes = [VIEWFINDER_Toggle_All_Subpanel]


def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in classes:
        bpy.utils.unregister_class(cls)


if __name__ == "__main__":
    register()
