#         taglist = [
#             tag.strip().lower()
#             for tag in obj.ActionCommander_Settings.filter_tag.strip().split(
#                 ","
#             )
#         ]
#         taglist.append(self.tag)
#         taglist = list(dict.fromkeys(taglist))
#
#         obj.ActionCommander_Settings.filter_tag = ",".join(taglist)


class Tags:
    source = ""
    taglist = []

    def __init__(self, tags):
        self.source = tags
        self.taglist = self.string_to_tags(self.source)

    def to_string(self):
        tags = ",".join(self.taglist)
        return tags

    def add_tag(self, tag):
        new = self.clean_tag(tag)

        if new != "":
            self.taglist.append(new)

    def remove_tag(self, tag):
        clean_tag = self.clean_tag(tag)
        if tag in self.taglist:
            self.taglist.remove(clean_tag)

    def count(self):
        return len(self.taglist)

    def include(self, tag):
        return tag in self.taglist

    def match_tag_filter(self, filter_tags, mode):
        if mode == "INCLUSIVE":
            if any(tag for tag in self.taglist if tag in filter_tags.taglist):
                return True
        if mode == "EXCLUSIVE":
            for tag in filter_tags.taglist:
                if tag not in self.taglist:
                    return False
            return True

        return False

    @classmethod
    def clean_tag(cls, tag):
        return tag.strip().lower()

    @classmethod
    def string_to_tags(cls, tags):
        taglist = [
            cls.clean_tag(tag)
            for tag in cls.clean_tag(tags).split(",")
            if cls.clean_tag(tag) != ""
        ]
        taglist = list(dict.fromkeys(taglist))
        taglist.sort()

        return taglist
