bl_info = {
    "name": "Viewfinder vfxM",
    "author": "BlenderBoi ",
    "version": (1, 8, 0),
    "blender": (4, 1, 0),
    "description": "Viewfinder is an Addon that Helps provides Utility and Camera Related Tools",
    "doc_url": "https://docs.tinkerboi.com/viewfinder",
    "tracker_url": "https://support.tinkerboi.com",
    "category": "Camera",
}

import bpy
from . import Preferences
from . import Data
from . import Panels
from . import Operators
from . import Menus
from .translation.translate import GetTranslationDict


modules = [Data, Panels, Operators, Menus, Preferences]


def register():
    for module in modules:
        module.register()
    bpy.app.translations.register(__package__, GetTranslationDict())

def unregister():
    for module in modules:
        module.unregister()
    bpy.app.translations.unregister(__package__)


if __name__ == "__main__":
    register()
